import { Component } from '@angular/core';
import { IonicModule } from '@ionic/angular';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { addIcons } from 'ionicons';
import { 
  chevronBack, 
  settings, 
  cloudUpload, 
  chevronForward, 
  statsChart,
  diamond,
  calendar,
  alarm,
  star,
  videocam,
  trophy,
  nutrition,
  wallet,
  gift,
  add,
  barbell,
  restaurant,
  shareSocial
} from 'ionicons/icons';

@Component({
  selector: 'app-tab4',
  templateUrl: 'tab4.page.html',
  styleUrls: ['tab4.page.scss'],
  standalone: true,
  imports: [IonicModule, CommonModule, FormsModule]
})
export class Tab4Page {
  vipPanelOpen = false;

  constructor() {
    // 注册所有需要的图标
    addIcons({
      chevronBack, 
      settings, 
      cloudUpload, 
      chevronForward, 
      statsChart,
      diamond,
      calendar,
      alarm,
      star,
      videocam,
      trophy,
      nutrition,
      wallet,
      gift,
      add,
      barbell,
      restaurant,
      shareSocial
    });
  }

  // 顶部栏操作
  goBack() {
    console.log('返回上一页');
  }

  goToSettings() {
    console.log('跳转到设置页面');
  }

  // 运动数据卡片
  goToDataDetails() {
    console.log('跳转到数据详情');
  }

  // 会员服务
  toggleVipPanel() {
    this.vipPanelOpen = !this.vipPanelOpen;
  }

  // 功能网格操作
  goToFavorites() {
    console.log('跳转到收藏与加油');
  }

  goToCourses() {
    console.log('跳转到我的课程');
  }

  goToActivities() {
    console.log('跳转到我的活动');
  }

  showLockedFeature() {
    console.log('显示功能锁定提示');
  }

  goToOrders() {
    console.log('跳转到订单与钱包');
  }

  goToRewards() {
    console.log('跳转到领福利');
  }

  // 发布操作
  createSportRecord() {
    console.log('创建运动打卡');
  }

  createDietRecord() {
    console.log('创建饮食记录');
  }

  shareMoment() {
    console.log('分享动态');
  }
}